#include <pluginlib/class_list_macros.h>
#include <ros/ros.h>

#include "camera/Camera.h"

#include "car/camDataMsg.h"

PLUGINLIB_EXPORT_CLASS(car::Camera, nodelet::Nodelet);

namespace car
{

Camera::Camera(ros::NodeHandle & nh, std::string & name) : nh_(nh), name_(name)
{}

Camera::Camera()
{}

Camera::~Camera()
{}

void Camera::onInit()
{
    NODELET_INFO("Camera::onInit -- START");
    camData = nh_.advertise<camDataMsg>("camData", 1);
    main = boost::thread(
        [this]()
        {
            ros::Rate rate{1};
            while (ros::ok())
            {
                camDataMsg msg;
                camData.publish(msg);
                rate.sleep();
            }
        });

    NODELET_INFO("Camera::onInit -- END");
}
}
